## Str

### hex _(Function)_

<p style="word-wrap: break-word">Returns a hexadecimal string representation of str,<br>&nbsp;where each byte of each character in str is converted to two hexadecimal digits</p>

#### Syntax

```
<STRING> hex(<STRING> input.string)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">input.string</td>
        <td valign="top"><p style="word-wrap: break-word">Input string to find out the hexadecimal value.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
hex("MySQL") 
```
<p style="word-wrap: break-word">This will return the hexadecimal value of the input.string. In this case, out put will be "4d7953514c".</p>

### lower _(Function)_

<p style="word-wrap: break-word">Converts the capital letters in the input string to the equivalent simple letters.</p>

#### Syntax

```
<STRING> lower(<STRING> input.string)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">input.string</td>
        <td valign="top"><p style="word-wrap: break-word">Input string to convert in to the lower case(equivalent simple letters).</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
lower("WSO2 cep ")
```
<p style="word-wrap: break-word">This will convert the capital letters in the input.string to the equivalent simple letters. In this case, output will be "wso2 cep ".</p>

### split _(Function)_

<p style="word-wrap: break-word">Splits the source String by splitCharacter and return the string in the index given by returnedOutputPosition .</p>

#### Syntax

```
<STRING> split(<STRING> input.string, <STRING> split.string, <INT> group.number)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">input.string</td>
        <td valign="top"><p style="word-wrap: break-word">Input string that get replaced.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
    <tr>
        <td valign="top">split.string</td>
        <td valign="top"><p style="word-wrap: break-word">String value used to split the input.string.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
    <tr>
        <td valign="top">group.number</td>
        <td valign="top"><p style="word-wrap: break-word">Index of the splitted group</p></td>
        <td valign="top"></td>
        <td valign="top">INT</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
split("WSO2,ABM,NSFT", ",", 0)
```
<p style="word-wrap: break-word">This will splits the given input.string by given split.string and returns the string in the index given by group.number. In this case, output will be "WSO2".</p>

### upper _(Function)_

<p style="word-wrap: break-word">Converts the simple letters in the input string to the equivalent capital/block letters.</p>

#### Syntax

```
<STRING> upper(<STRING> input.string)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">input.string</td>
        <td valign="top"><p style="word-wrap: break-word">Input string to convert in to the upper case(equivalent capital/block letters).</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
upper("Hello World")
```
<p style="word-wrap: break-word">This will convert the simple letters in the input.string to theequivalent capital letters. In this case, output will be "HELLO WORLD".</p>

### coalesce _(Function)_

<p style="word-wrap: break-word">Returns the value of the first of its input parameters that is not NULL</p>

#### Syntax

```
<INT|LONG|DOUBLE|FLOAT|STRING|BOOL|OBJECT> coalesce(<INT|LONG|DOUBLE|FLOAT|STRING|BOOL|OBJECT> argn)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">argn</td>
        <td valign="top"><p style="word-wrap: break-word">It can have one or more input parameters in any data type.</p></td>
        <td valign="top"></td>
        <td valign="top">INT<br>LONG<br>DOUBLE<br>FLOAT<br>STRING<br>BOOL<br>OBJECT</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
coalesce(null, "BBB", "CCC")
```
<p style="word-wrap: break-word">This will return the first input parameter that is not null. In this case, it will return "BBB"</p>

### length _(Function)_

<p style="word-wrap: break-word">Returns the length of this string.</p>

#### Syntax

```
<INT> length(<STRING> input.string)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">input.string</td>
        <td valign="top"><p style="word-wrap: break-word">Input string to find out length.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
length("Hello World")
```
<p style="word-wrap: break-word">This will output the length of the provided string. In this case, output will be 11 .</p>

### contains _(Function)_

<p style="word-wrap: break-word">This method returns true if and only if this string contains the specified sequence of char values.</p>

#### Syntax

```
<BOOL> contains(<STRING> input.string, <STRING> search.string)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">input.string</td>
        <td valign="top"><p style="word-wrap: break-word">Input string value.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
    <tr>
        <td valign="top">search.string</td>
        <td valign="top"><p style="word-wrap: break-word">String value that going to search in input.string.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
contains("21 products are produced by WSO2 currently", "WSO2")
```
<p style="word-wrap: break-word">This will return a boolean value as the output. In this case, it will return "true". </p>

### reverse _(Function)_

<p style="word-wrap: break-word">Returns the reverse ordered string of the input.</p>

#### Syntax

```
<STRING> reverse(<STRING> input.string)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">input.string</td>
        <td valign="top"><p style="word-wrap: break-word">Input string that get reversed.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
reverse("Hello World")
```
<p style="word-wrap: break-word">This will output a string value by reversing the incoming input.string. In this case, output will be "dlroW olleH".</p>

### replaceFirst _(Function)_

<p style="word-wrap: break-word">Replaces the first substring of this string that matches the given expression with the given replacement.</p>

#### Syntax

```
<STRING> replaceFirst(<STRING> input.string, <STRING> regex, <STRING> replacement.string)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">input.string</td>
        <td valign="top"><p style="word-wrap: break-word">Input string that get replaced.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
    <tr>
        <td valign="top">regex</td>
        <td valign="top"><p style="word-wrap: break-word">Regular expression used to match the input string.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
    <tr>
        <td valign="top">replacement.string</td>
        <td valign="top"><p style="word-wrap: break-word">replacement string that used.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
replaceFirst("hello WSO2 A hello",  'WSO2(.*)A', 'XXXX')
```
<p style="word-wrap: break-word">This will return a string after replacing the first substring by given replacement string. In this case, output will be "hello XXXX hello".</p>

### charAt _(Function)_

<p style="word-wrap: break-word">Returns the char value as a string value at the specified index.</p>

#### Syntax

```
<STRING> charAt(<STRING> input.value, <INT> index)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">input.value</td>
        <td valign="top"><p style="word-wrap: break-word">The input string that used to find the character.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
    <tr>
        <td valign="top">index</td>
        <td valign="top"><p style="word-wrap: break-word">The variable which specify the index.</p></td>
        <td valign="top"></td>
        <td valign="top">INT</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
charAt("WSO2", 1)
```
<p style="word-wrap: break-word">This will output the character which exists at index 1. In this case, it will output 'S'.</p>

### replaceAll _(Function)_

<p style="word-wrap: break-word">Replaces each substring of this string that matches the given expression with the given replacement.</p>

#### Syntax

```
<STRING> replaceAll(<STRING> input.string, <STRING> regex, <STRING> replacement.string)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">input.string</td>
        <td valign="top"><p style="word-wrap: break-word">Input string that get replaced.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
    <tr>
        <td valign="top">regex</td>
        <td valign="top"><p style="word-wrap: break-word">Regular expression used to match the input string.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
    <tr>
        <td valign="top">replacement.string</td>
        <td valign="top"><p style="word-wrap: break-word">replacement string that used.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
replaceAll("hello hi hello",  'hello', 'test')
```
<p style="word-wrap: break-word">Returns a string after replacing the substrings of the input string with the replacement string. In this case, output will be "test hi test" .</p>

### strcmp _(Function)_

<p style="word-wrap: break-word">Compares two strings lexicographically.</p>

#### Syntax

```
<INT> strcmp(<STRING> arg1, <STRING> arg2)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">arg1</td>
        <td valign="top"><p style="word-wrap: break-word">First input string argument.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
    <tr>
        <td valign="top">arg2</td>
        <td valign="top"><p style="word-wrap: break-word">Second input string argument that going to be compared with first argument in lexicographically.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
strcmp("AbCDefghiJ KLMN", 'Hello')
```
<p style="word-wrap: break-word">This will compare two strings lexicographically and output an int value</p>

### equalsIgnoreCase _(Function)_

<p style="word-wrap: break-word">Compares two strings lexicographically.</p>

#### Syntax

```
<BOOL> equalsIgnoreCase(<STRING> arg1, <STRING> arg2)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">arg1</td>
        <td valign="top"><p style="word-wrap: break-word">First input string argument.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
    <tr>
        <td valign="top">arg2</td>
        <td valign="top"><p style="word-wrap: break-word">Second input string argument that going to be compared with first argument.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
equalsIgnoreCase("WSO2", "wso2")
```
<p style="word-wrap: break-word">This will return a boolean value as the output. In this case, it will return "true". </p>

### concat _(Function)_

<p style="word-wrap: break-word">Returns a string that is the result of concatenating two or more string values.</p>

#### Syntax

```
<STRING> concat(<STRING> argn)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">argn</td>
        <td valign="top"><p style="word-wrap: break-word">It can have two or more string type input parameters.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
concat("D533", "8JU^", "XYZ")
```
<p style="word-wrap: break-word">This will return a string value by concatenating the given arguments. In this case, it will return "D5338JU^XYZ" as the output</p>

### substr _(Function)_

<p style="word-wrap: break-word">Returns a new string that is a substring of this string</p>

#### Syntax

```
<STRING> substr(<STRING> input.string, <INT> begin.index, <INT> length, <STRING> regex, <INT> group.number)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">input.string</td>
        <td valign="top"><p style="word-wrap: break-word">Input string to be processed.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
    <tr>
        <td valign="top">begin.index</td>
        <td valign="top"><p style="word-wrap: break-word">Staring index to consider for the substring.</p></td>
        <td valign="top"></td>
        <td valign="top">INT</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
    <tr>
        <td valign="top">length</td>
        <td valign="top"><p style="word-wrap: break-word">Length of the substring.</p></td>
        <td valign="top"></td>
        <td valign="top">INT</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
    <tr>
        <td valign="top">regex</td>
        <td valign="top"><p style="word-wrap: break-word">Regular expression used to match the input string..</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
    <tr>
        <td valign="top">group.number</td>
        <td valign="top"><p style="word-wrap: break-word">Regex group number</p></td>
        <td valign="top"></td>
        <td valign="top">INT</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
substr("AbCDefghiJ KLMN", 4)
```
<p style="word-wrap: break-word">This will output the substring based on the given begin.index. In this case, output will be "efghiJ KLMN".</p>

##### Example 2

```
substr("AbCDefghiJ KLMN",  2, 4) 
```
<p style="word-wrap: break-word">This will output the substring based on the given begin.index and length. In this case, output will be "CDef".</p>

##### Example 3

```
substr("WSO2D efghiJ KLMN", '^WSO2(.*)')
```
<p style="word-wrap: break-word">This will output the substring by applying the regex. In this case, output will be "WSO2D efghiJ KLMN".</p>

##### Example 4

```
substr("WSO2 cep WSO2 XX E hi hA WSO2 heAllo",  'WSO2(.*)A(.*)',  2)
```
<p style="word-wrap: break-word">This will output the substring by applying the regex and considering the group.number. In this case, output will be " ello".</p>

### unhex _(Function)_

<p style="word-wrap: break-word">unhex(str) interprets each pair of characters in the argument as a hexadecimal number<br>&nbsp;and converts it to the byte represented by the number</p>

#### Syntax

```
<STRING> unhex(<STRING> input.string)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">input.string</td>
        <td valign="top"><p style="word-wrap: break-word">Hexadecimal input string that needs to be converted as string.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
unhex("4d7953514c")
```
<p style="word-wrap: break-word">This will convert the hexadecimal value as the string</p>

### trim _(Function)_

<p style="word-wrap: break-word">Returns a copy of the string, with leading and trailing whitespace omitted</p>

#### Syntax

```
<STRING> trim(<STRING> input.string)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">input.string</td>
        <td valign="top"><p style="word-wrap: break-word">Input string that needs to be trimmed.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
trim("  AbCDefghiJ KLMN  ")
```
<p style="word-wrap: break-word">This will return a copy of input.string, with the leading and/or trailing white-spaces omitted. In this case, output will be "AbCDefghiJ KLMN".</p>

### regexp _(Function)_

<p style="word-wrap: break-word">Tells whether or not this 'string' matches the given regular expression 'regex'.</p>

#### Syntax

```
<BOOL> regexp(<STRING> input.string, <STRING> regex)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">input.string</td>
        <td valign="top"><p style="word-wrap: break-word">Input string to match with the given regular expression.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
    <tr>
        <td valign="top">regex</td>
        <td valign="top"><p style="word-wrap: break-word">Regular expression used to match the input string..</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
regexp("WSO2 abcdh", "WSO(.*h)")
```
<p style="word-wrap: break-word">This will return a boolean value after matching regular expression for the given string. In this case, it will return "true" as the output.</p>

### repeat _(Function)_

<p style="word-wrap: break-word">Repeats a string for a specified number of times.</p>

#### Syntax

```
<STRING> repeat(<STRING> input.string, <INT> times)
```

##### Query Parameters

<table>
    <tr>
        <th>Name</th>
        <th>Description</th>
        <th>Default Value</th>
        <th>Possible Types</th>
        <th>Optional</th>
        <th>Dynamic</th>
    </tr>
    <tr>
        <td valign="top">input.string</td>
        <td valign="top"><p style="word-wrap: break-word">Input string that is repeated number of times as defined by the user.</p></td>
        <td valign="top"></td>
        <td valign="top">STRING</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
    <tr>
        <td valign="top">times</td>
        <td valign="top"><p style="word-wrap: break-word">No of times that input.string needs to be repeated .</p></td>
        <td valign="top"></td>
        <td valign="top">INT</td>
        <td valign="top">No</td>
        <td valign="top">No</td>
    </tr>
</table>



#### Examples

##### Example 1

```
repeat("StRing 1", 3)
```
<p style="word-wrap: break-word">Returns a string value by repeating the string for number of times. In this case, output will be "StRing 1StRing 1StRing 1".</p>

